function jyjs
clear 
clc
close all
format long

options=odeset('RelTol',1e-14);
[X,Y]=ode45(@yjs,[1,6],[8;7;4],options); 
%[1,6]为自变量取值范围，[8;7;4]为初始条件
yy=@(x)(5*x)/2+(6*exp(x))/exp(1)-x.^2/2-x.^3/6 +1/6;%解析结果
subplot(2,1,1);plot(X,Y(:,1),'r',X,yy(X),'b')
title('三阶常微分方程的数值解与解析解')
subplot(2,1,2);plot(X,Y(:,1)-yy(X),'r')
title('三阶常微分方程的数值解的误差')

%定义句柄函数
function ydot=yjs(xx,y)
ydot=[y(2);y(3);y(3)+xx];